com.sun.mail.gimap

## Class GmailSSLStore

- java.lang.Object
- - javax.mail.Service
  - - javax.mail.Store
    - - com.sun.mail.imap.IMAPStore
      - - com.sun.mail.gimap.GmailStore
        - - com.sun.mail.gimap.GmailSSLStore

- All Implemented Interfaces:
    ResponseHandler, QuotaAwareStore

      public class GmailSSLStore
      extends GmailStore

  Support "gimaps" protocol name. Unnecessary, since Gmail always uses SSL, but someone might expect this name to work.
  Since:
    JavaMail 1.4.6

- - ### Field Summary

    - ### Fields inherited from class com.sun.mail.imap.IMAPStore

      `authorizationID, defaultPort, host, isSSL, logger, name, password, proxyAuthUser, RESPONSE, saslRealm, user`

    - ### Fields inherited from class javax.mail.Service

      `debug, session, url`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmailSSLStore(Session session, URLName url)` Constructor that takes a Session object and a URLName that represents a specific IMAP server.

  - ### Method Summary

    - ### Methods inherited from class com.sun.mail.gimap.GmailStore

      `newIMAPFolder, newIMAPFolder, newIMAPProtocol, protocolConnect`

    - ### Methods inherited from class com.sun.mail.imap.IMAPStore

      `close, finalize, getDefaultFolder, getFolder, getFolder, getPersonalNamespaces, getQuota, getSharedNamespaces, getUserNamespaces, handleResponse, hasCapability, idle, isConnected, isSSL, newIMAPFolder, preLogin, setPassword, setQuota, setUsername`

    - ### Methods inherited from class javax.mail.Store

      `addFolderListener, addStoreListener, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

    - ### Methods inherited from class javax.mail.Service

      `addConnectionListener, connect, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GmailSSLStore

          public GmailSSLStore(Session session,
                       URLName url)

      Constructor that takes a Session object and a URLName that represents a specific IMAP server.

Copyright © 2013 Oracle. All Rights Reserved.